{% if dnsRecords is not empty %}
    <ul>
        {% for dnsType, typeRecords in dnsRecords %}
            <li><h3>{{ dnsType }} record(s):</h3>
                {% for hostname, records in typeRecords %}
                    {% for record in records %}
                        <ul>
                            <li>
                                {{ record['dnsInfo'] }}
                                {% if dnsType == 'A' or dnsType == 'AAAA' or dnsType == 'MX' or dnsType == 'NS' %}
                                    <a href="{{ path('whois', {domain: record['value']|trim('.')}) }}">{{ record['value'] }}</a>
                                {% else %}
                                    {{ record['value']|raw }}
                                {% endif %}
                            </li>
                        </ul>
                    {% endfor %}
                {% endfor %}
            </li>
        {% endfor %}
    </ul>
{% else %}
    <p>No DNS records found</p>
{% endif %}